MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011857mantisbtapi soappublic2010-04-27 06:182010-07-29 10:45
Reporterrombert 
Assigned Torombert 
PriorityhighSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.2.2Fixed in Version1.2.2 
Summary0011857: Update to NuSOAP 0.9.5
Descriptionhttp://sourceforge.net/projects/nusoap/files/ [^]

Changelog:


2010-04-26, version 0.9.5
- nusoap_xmlschema: replace regex function calls (ereg, eregi, split) with PCRE calls (preg_match, preg_split) (thanks Pier-Luc Duchaine)
- wsdl: replace regex function calls (ereg, eregi, split) with PCRE calls (preg_match, preg_split) (thanks Pier-Luc Duchaine)
- soap_transport_http: replace regex function calls (ereg, eregi, split) with PCRE calls (preg_match, preg_split) (thanks Pier-Luc Duchaine)
- soap_transport_http: remove call to deprecated function set_magic_quotes_runtime
- nusoap_server: replace regex function calls (ereg, eregi, split) with PCRE calls (preg_match, preg_split) (thanks Pier-Luc Duchaine)
- nusoap_server: check that value is an object before calling get_class (thanks Pier-Luc Duchaine)
- nusoap_parser: replace regex function calls (ereg, eregi, split) with PCRE calls (preg_match, preg_split) (thanks Pier-Luc Duchaine)
- nusoap_client: replace regex function calls (ereg, eregi, split) with PCRE calls (preg_match, preg_split) (thanks Pier-Luc Duchaine)
- nusoap_client: do not assign the return value of new by reference (it is deprecated) (thanks Pier-Luc Duchaine)
- nusoap_base: replace regex function calls (ereg, eregi, split) with PCRE calls (preg_match, preg_split) (thanks Pier-Luc Duchaine)
- nusoapmime: do not assign the return value of new by reference (it is deprecated)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0025286)
oberger (reporter)
2010-04-27 06:27

Actually, the diff between the lib/changelog from 0.7.3 and 0.9.5 gives many more entries... dunno if they missed in 0.7.3 WRT 0.7.2 (i.e. 1.0rc1 == 0.7.3), or belong to real diffs between 0.7.3 and 0.9.5 :-/

2007-11-06, version 1.0rc1

- wsdl: Improve handling of return values from doc/lit methods

- nusoap_server: Handle case when method is not in a namespace



2007-11-27, version 1.0rc1

- nusoap_server: always try to invoke service for a POST

- nusoap_server: only return Location: for WSDL at http://... [^]

- nusoap_base: change some syntax associated with globalDebugLevel



2008-01-08, version 1.0rc1

- nusoap_server: fix a typo where = was used instead of == (thanks J. (Johan) Bosma)



2008-01-10, version 1.0rc1

- nusoap_client: handle case where request or response has no content-type header (thanks Ingo Fischer)

- nusoap_server: handle case where request or response has no content-type header (thanks Ingo Fischer)

- wsdl: change CSS for .title in webDescription (thanks Marcus Uy)



2008-01-25, version 1.0rc1

- nusoap_xmlschema: when an element is of a complexType that is an extension, copy extensionBase from the type

- nusoap_xmlschema: do not apply elementFormDefault to globally defined elements



2008-02-11, version 1.0rc1

- wsdl: internally set form of wrapped parameter elements to unqualified (so server handles correctly)



2008-03-03, version 1.0.rc1

- nusoap_xmlschema: fix extension when base type has no explicit prefix

- nusoap_xmlschema: support XML Schema include

- wsdl: improve support for sequence by serializing inherited attributes and elements first



2008-03-04, version 1.0.rc1

- wsdl: allow WSDL port name to be specified in getOperations

- nusoap_client: allow WSDL port name to be specified in ctor



2008-03-06, version 1.0rc1

- wsdl: fix some port name variable references

- nusoap_base: change comments regarding preferred mode of support

- wsdl2nusoap: initial revision



2008-03-14, version 1.0rc1

- nusoap_base: fix timezone offset in timestamp_to_iso8601 (thanks Mario Trojan)



2008-03-27, version 1.0rc1

- nusoap_server: fix bug setting encodingStyle in serialize_return (thanks Luca Gobbo)



2008-05-15, version 1.0rc1

- nusoap_parser: handle case where Header or Body tags are used within SOAP messages (thanks Sergey Zhuravlev)



2008-08-26, version 1.0rc1

- wsdl: serialize simpleContent for complexType

- wsdl: avoid serializing complexType elements with no value and minOccurs = 0 regardless of nillability

- Related Changesets
MantisBT: master ecaa5bd9
Timestamp: 2010-04-28 18:04:49
Author: rombert
Details ] Diff ]
Update to NuSOAP 0.9.5

NuSOAP 0.9.5 has brought a lot of fixes and improvements, notably PHP 5.3
compatibility. This update removes the need for all patches we have
applied to NuSOAP.

Fixes 0011857: Update to NuSOAP 0.9.5
mod - library/nusoap/class.soapclient.php Diff ] File ]
mod - library/nusoap/class.soap_parser.php Diff ] File ]
mod - library/nusoap/class.soap_val.php Diff ] File ]
mod - library/nusoap/nusoap.php Diff ] File ]
mod - library/nusoap/class.xmlschema.php Diff ] File ]
mod - library/README.libs Diff ] File ]
mod - library/nusoap/class.soap_transport_http.php Diff ] File ]
mod - library/nusoap/class.soap_fault.php Diff ] File ]
mod - library/nusoap/changelog Diff ] File ]
mod - library/nusoap/class.soap_server.php Diff ] File ]
mod - library/nusoap/class.wsdl.php Diff ] File ]
mod - library/nusoap/class.nusoap_base.php Diff ] File ]
mod - library/nusoap/nusoapmime.php Diff ] File ]
mod - library/nusoap/class.wsdlcache.php Diff ] File ]
MantisBT: master-1.2.x c6cc770c
Timestamp: 2010-04-28 18:04:49
Author: rombert
Details ] Diff ]
Update to NuSOAP 0.9.5

NuSOAP 0.9.5 has brought a lot of fixes and improvements, notably PHP 5.3
compatibility. This update removes the need for all patches we have
applied to NuSOAP.

Fixes 0011857: Update to NuSOAP 0.9.5
mod - library/nusoap/class.soapclient.php Diff ] File ]
mod - library/nusoap/class.soap_parser.php Diff ] File ]
mod - library/nusoap/class.soap_val.php Diff ] File ]
mod - library/nusoap/nusoap.php Diff ] File ]
mod - library/nusoap/class.xmlschema.php Diff ] File ]
mod - library/README.libs Diff ] File ]
mod - library/nusoap/class.soap_transport_http.php Diff ] File ]
mod - library/nusoap/class.soap_fault.php Diff ] File ]
mod - library/nusoap/changelog Diff ] File ]
mod - library/nusoap/class.soap_server.php Diff ] File ]
mod - library/nusoap/class.wsdl.php Diff ] File ]
mod - library/nusoap/class.nusoap_base.php Diff ] File ]
mod - library/nusoap/nusoapmime.php Diff ] File ]
mod - library/nusoap/class.wsdlcache.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2010-04-27 06:18 rombert New Issue
2010-04-27 06:27 oberger Note Added: 0025286
2010-04-28 14:06 rombert Assigned To => rombert
2010-04-28 14:06 rombert Status new => assigned
2010-04-28 14:08 rombert Changeset attached => MantisBT master ecaa5bd9
2010-04-28 14:08 rombert Changeset attached => MantisBT master-1.2.x c6cc770c
2010-04-28 14:08 rombert Resolution open => fixed
2010-04-28 14:08 rombert Fixed in Version => 1.2.2
2010-04-28 14:08 rombert Status assigned => resolved
2010-04-28 14:08 rombert Fixed in Version 1.2.2 => 1.2.1
2010-05-16 05:29 rombert Fixed in Version 1.2.1 => 1.2.2
2010-07-29 10:45 jreese Status resolved => closed


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0905 seconds.
memory usage: 3,062 KB
Powered by Mantis Bugtracker